%define module sdl2
%define oname PySDL2

Name:           python-%{module}
Version:        0.9.13
Release:        %mkrel 1
Summary:        Python SDL2 bindings
License:        Public Domain or CC0
Group:          Development/Python
URL:            https://github.com/marcusva/py-sdl2
Source0:        https://pypi.io/packages/source/P/PySDL2/%{oname}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Provides:       pySDL2

%description
PySDL2 is a wrapper around the SDL2 library and as such similar to the
discontinued PySDL project. In contrast to PySDL, it has no licensing
restrictions, nor does it rely on C code, but uses ctypes instead.

%package -n python3-%{module}
Summary:        Python 3.x SDL2 bindings
Group:          Development/Python

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Provides:   py3SDL2

%description -n python3-%{module}
PySDL2 is a wrapper around the SDL2 library and as such similar to the
discontinued PySDL project. In contrast to PySDL, it has no licensing
restrictions, nor does it rely on C code, but uses ctypes instead.

%prep
%setup -qn %{oname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc AUTHORS.txt README*
%doc doc/copying.rst
%{python3_sitelib}/%{oname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{module}/


%changelog
* Thu Aug 18 2022 TerryN <terryn94 at gmail.com> 0.9.13-1pclos2022
- update and rebuild for python 3.10

* Sun Feb 03 2019 tex - 0.9.6-1pclos2019
- create
